POST
/affiliate_seller/202412/conversations/{conversation_id}/messages
Sends a message of the selected type in the specified conversation.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”conversation_id
required
string
Conversation_id
Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
msg_type
required
Message type. The value determines the decoded JSON object required in content. Possible values:
TEXTPRODUCT_CARDTARGET_COLLABORATION_CARDFREE_SAMPLE_CARDIMAGECRM_TEXT_WITH_IMAGE_CARDCRM_TEXT_WITH_PRODUCTS_CARD
string
content
required
Message content as a JSON-serialized string. The decoded JSON object depends on msg_type:
TEXT:{"content": "simple text"}.contentis required, must not be empty, and supports up to 2,000 Unicode characters.PRODUCT_CARD:{"product_id": "12345"}.product_idis required.TARGET_COLLABORATION_CARD:{"target_collaboration_id": "1234"}.target_collaboration_idis required and is the invitation group ID.FREE_SAMPLE_CARD:{"apply_id": "1234"}.apply_idis required.IMAGE:{"url": "https://p16-oec-va.ibyteimg.com/tos-maliva-i-o3syd03w52-us/2ca53c34ad8443e6b39f4e0153d3aed4~tplv-o3syd03w52-origin-image.image?from=1320446476", "width": 1280, "height": 720}.url,width, andheightare required;widthandheightmust be integers. You can obtainurlby calling Upload Messages Image.CRM_TEXT_WITH_PRODUCTS_CARD:{"product_ids": "12345,123456", "title": "abc", "content": "abc"}.product_idsis required and contains one to five comma-separated positive product IDs.contentis required, must not be empty, and supports up to 500 Unicode characters.titlesupports up to 50 Unicode characters.CRM_TEXT_WITH_IMAGE_CARD:{"image_url": "https://p16-oec-va.ibyteimg.com/tos-maliva-i-o3syd03w52-us/2ca53c34ad8443e6b39f4e0153d3aed4~tplv-o3syd03w52-origin-image.image?from=1320446476", "title": "abc", "content": "abc"}.image_urlandcontentare required.contentmust not be empty and supports up to 500 Unicode characters.titlesupports up to 50 Unicode characters.
string
Example
{ "msg_type": "TEXT", "content": "{\"content\": \"simple text message\"}"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
message_id
The message ID. The message_id field is not always returned upon successful message submission.
string
Example
{ "code": 0, "data": { "message_id": "1234444" }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}